# Class BeforeEventRenderArgs

java.lang.Object
org.daypilot.ui.args.calendar.BeforeEventRenderArgs

public class BeforeEventRenderArgs extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeforeEventRenderArgs(JSONObject event, String[] tagFields, Object dataItem)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AreaCollection`
  `getAreas()`
  `String`
  `getBackgroundColor()`
  `String`
  `getBackgroundImage()`
  `String`
  `getBackgroundRepeat()`
  `String`
  `getContextMenuClientName()`
  `String`
  `getCssClass()`
  `DataItemWrapper`
  `getDataItem()`
  `String`
  `getDurationBarColor()`
  `String`
  `getDurationBarImageUrl()`
  `DateTime`
  `getEnd()`
  `String`
  `getHeaderHTML()`
  `String`
  `getId()`
  `String`
  `getInnerHTML()`
  `String`
  `getRecurrentMasterId()`
  `String`
  `getResource()`
  `DateTime`
  `getStart()`
  `String`
  `getStaticBubbleHTML()`
  `String`
  `getTag(int index)`
  `String`
  `getTag(String field)`
  `String`
  `getText()`
  `String`
  `getToolTip()`
  `String`
  `getValue()`
  `boolean`
  `isAllDay()`
  `boolean`
  `isDurationBarVisible()`
  `boolean`
  `isEventClickEnabled()`
  `boolean`
  `isEventDeleteEnabled()`
  `boolean`
  `isEventMoveEnabled()`
  `boolean`
  `isEventResizeEnabled()`
  `boolean`
  `isEventRightClickEnabled()`
  `boolean`
  `isRecurrent()`
  `boolean`
  `isRecurrentException()`
  `void`
  `setBackgroundColor(String backgroundColor)`
  `void`
  `setBackgroundImage(String backgroundImage)`
  `void`
  `setBackgroundRepeat(String backgroundRepeat)`
  `void`
  `setContextMenuClientName(String contextMenuClientName)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setDurationBarColor(String durationBarColor)`
  `void`
  `setDurationBarImageUrl(String durationBarImageUrl)`
  `void`
  `setDurationBarVisible(boolean durationBarVisible)`
  `void`
  `setEventClickEnabled(boolean eventClickEnabled)`
  `void`
  `setEventDeleteEnabled(boolean eventDeleteEnabled)`
  `void`
  `setEventMoveEnabled(boolean eventMoveEnabled)`
  `void`
  `setEventResizeEnabled(boolean eventResizeEnabled)`
  `void`
  `setEventRightClickEnabled(boolean eventRightClickEnabled)`
  `void`
  `setHeaderHTML(String headerHTML)`
  `void`
  `setInnerHTML(String innerHTML)`
  `void`
  `setStaticBubbleHTML(String staticBubbleHTML)`
  `void`
  `setToolTip(String toolTip)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeforeEventRenderArgs

    public BeforeEventRenderArgs(JSONObject event, String[] tagFields, Object dataItem)

- ## Method Details

  - ### getDurationBarColor

    public String getDurationBarColor()

  - ### setDurationBarColor

    public void setDurationBarColor(String durationBarColor)

  - ### getDurationBarImageUrl

    public String getDurationBarImageUrl()

  - ### setDurationBarImageUrl

    public void setDurationBarImageUrl(String durationBarImageUrl)

  - ### getBackgroundColor

    public String getBackgroundColor()

  - ### setBackgroundColor

    public void setBackgroundColor(String backgroundColor)

  - ### getInnerHTML

    public String getInnerHTML()

  - ### setInnerHTML

    public void setInnerHTML(String innerHTML)

  - ### getToolTip

    public String getToolTip()

  - ### setToolTip

    public void setToolTip(String toolTip)

  - ### getContextMenuClientName

    public String getContextMenuClientName()

  - ### setContextMenuClientName

    public void setContextMenuClientName(String contextMenuClientName)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)

  - ### getBackgroundImage

    public String getBackgroundImage()

  - ### setBackgroundImage

    public void setBackgroundImage(String backgroundImage)

  - ### getBackgroundRepeat

    public String getBackgroundRepeat()

  - ### setBackgroundRepeat

    public void setBackgroundRepeat(String backgroundRepeat)

  - ### isEventResizeEnabled

    public boolean isEventResizeEnabled()

  - ### setEventResizeEnabled

    public void setEventResizeEnabled(boolean eventResizeEnabled)

  - ### isEventMoveEnabled

    public boolean isEventMoveEnabled()

  - ### setEventMoveEnabled

    public void setEventMoveEnabled(boolean eventMoveEnabled)

  - ### isEventClickEnabled

    public boolean isEventClickEnabled()

  - ### setEventClickEnabled

    public void setEventClickEnabled(boolean eventClickEnabled)

  - ### isEventDeleteEnabled

    public boolean isEventDeleteEnabled()

  - ### setEventDeleteEnabled

    public void setEventDeleteEnabled(boolean eventDeleteEnabled)

  - ### isEventRightClickEnabled

    public boolean isEventRightClickEnabled()

  - ### setEventRightClickEnabled

    public void setEventRightClickEnabled(boolean eventRightClickEnabled)

  - ### getStaticBubbleHTML

    public String getStaticBubbleHTML()

  - ### setStaticBubbleHTML

    public void setStaticBubbleHTML(String staticBubbleHTML)

  - ### getValue

    public String getValue()

  - ### getId

    public String getId()

  - ### getTag

    public String getTag(int index)

  - ### getTag

    public String getTag(String field)

  - ### getStart

    public DateTime getStart()

  - ### getEnd

    public DateTime getEnd()

  - ### getText

    public String getText()

  - ### getResource

    public String getResource()

  - ### isAllDay

    public boolean isAllDay()

  - ### getHeaderHTML

    public String getHeaderHTML()

  - ### setHeaderHTML

    public void setHeaderHTML(String headerHTML)

  - ### getAreas

    public AreaCollection getAreas()

  - ### getDataItem

    public DataItemWrapper getDataItem()

  - ### isRecurrent

    public boolean isRecurrent()

  - ### getRecurrentMasterId

    public String getRecurrentMasterId()

  - ### isRecurrentException

    public boolean isRecurrentException()

  - ### isDurationBarVisible

    public boolean isDurationBarVisible()

  - ### setDurationBarVisible

    public void setDurationBarVisible(boolean durationBarVisible)